inp = open('division.in', 'r')
out = open('division.out', 'w')

n = int(inp.readline())
min_ans = 10**9
best_a = None
best_b = None
best_c = None
    
for a in range(1, n + 1):
    for b in range(a + 1, n + 1):
        for c in range(b + 1, n + 1):
            if (a + b + c == n) and (a**2 + b**2 + c**2 < min_ans):
                min_ans = a**2 + b**2 + c**2
                best_a = a
                best_b = b
                best_c = c
out.write(' '.join(str(element) for element in [best_a, best_b, best_c]) + '\n') 